Edit a PIN List
Edit the configuration of a PIN list.
Request URL
POST {base_url}/{api_path}/pin_list/update?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of a PIN list. Note: You can query PIN list's ID using Search Specific PIN Lists. |
| name | No | String | The name of the PIN list. |
| pin_list | No | String | The PIN codes.Note:Use a comma to separate multiple PIN codes. |
| enb_record_cdr | No | Integer | Whether to record the PIN code in CDR when the PIN code has been used. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
Examples
Request example
POST /openapi/v1.0/pin_list/update?access_token=ojPrvnfzPdwc8OCcRmhG16gEHuZcwFco HTTP/1.1
Host: 192.168.5.150:8088
Content-Type: application/json
{
"id":11,
"enb_record_cdr":0
}Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS"
}